Package org.apache.commons.math3.analysis.polynomials

# Class PolynomialFunction.Parametric

java.lang.Object
org.apache.commons.math3.analysis.polynomials.PolynomialFunction.Parametric

All Implemented Interfaces:
  `ParametricUnivariateFunction`

Enclosing class:
  `PolynomialFunction`

public static class PolynomialFunction.Parametric extends Object implements ParametricUnivariateFunction
Dedicated parametric polynomial class.

Since:
  3.0

## Constructor Summary

Constructors
Constructor
Description
`Parametric()`

## Method Summary

Modifier and Type
Method
Description
`double[]`
`gradient(double x, double... parameters)`
Compute the gradient of the function with respect to its parameters.
`double`
`value(double x, double... parameters)`
Compute the value of the function.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Parametric

public Parametric()

## Method Details

### gradient

public double[] gradient(double x, double... parameters)
Compute the gradient of the function with respect to its parameters.

Specified by:
  `gradient` in interface `ParametricUnivariateFunction`
Parameters:
  `x` - Point for which the function value should be computed.
  `parameters` - Function parameters.
Returns:
  the value.

### value

public double value(double x, double... parameters) throws NoDataException
Compute the value of the function.

Specified by:
  `value` in interface `ParametricUnivariateFunction`
Parameters:
  `x` - Point for which the function value should be computed.
  `parameters` - Function parameters.
Returns:
  the value.
Throws:
  `NoDataException`